2

I have done PlugInstall but it gives:

YouCompleteMe unavailable: unable to load  Python.

The same error happens while loading UltiSnips:

E370: Could not load python36.dll

My vimrc:

set rnu
set nu
set autoindent
set noerrorbells
set colorcolumn=80
set tabstop=2
set bg=light
colorscheme elflord
set guifont=Courier:h14
set spelllang=en,en_us
set spell
call plug#begin()
Plug 'junegunn/vim-plug'
Plug 'lervag/vimtex'
Plug 'ycm-core/YouCompleteMe'
Plug 'SirVer/UltiSnips'
call plug#end()
let g:tex_flavor = 'latex'

enter image description here

which contains python.

After looking at https://stackoverflow.com/questions/10278560/python-interpreter-shell-with-vim-integration-possible#:~:text=to%20get%20a%20python%20shell%20directly%20in%20vim.&text=From%20a%20new%20Vim%20screen,%2C%20press%20m%20. I installed the ConqueShell plugin and did :ConqueTerm python

Conque ERROR: Python interface cannot be loaded

Your version of Vim appears to be installed without the Python interface.

You appear to be using Windows. The official Vim 7.3 installer available at 
http://www.vim.org comes with the required Python interfaces. You will also 
need to install Python 2.7 and/or Python 3.1, both available at http://www.python.org

:echo has('python3') returns 0

I added: let &pythonthreedll = 'C:\Program Files (x86)\Vim\vim82\python3complete' to my vimrc but the problem persists

17
  • 1
  • @D.BenKnoble How to copy and paste vim version (every time I press a key it first goes to —More— then completely erases it – user31082 Aug 30 '20 at 15:09
  • you could use redirect, or the mouse? – D. Ben Knoble Aug 30 '20 at 17:20
  • @D.BenKnoble may I link to that blogpost as a response to screenshots of text elsewhere on stackexchange? – guntbert Aug 30 '20 at 20:54
  • 1
    Looks like you have a 32-bit Vim... Do you have a 32-bit Python to match that? You can tell by looking at sys.maxsize from your Python interpreter, see stackoverflow.com/q/1405913/9447571 – filbranden Aug 31 '20 at 2:38